View Issue Details

IDProjectCategoryView StatusLast Update
0010204Tine 2.0Felamimailpublic2018-02-09 16:44
ReporterpschueleAssigned Tomspahn 
PriorityhighSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionCollin (2013.10.8) 
Target VersionFixed in Version 
Summary0010204: out of memory in html purifier
Descriptionsometimes big mails cause out of memory problems in html purifier.

maybe we can try to skip purifying the mail (just allow plaintext part if available) for those mails. we need a way to detect / estimate the required memory for a mail and throw an exception if the memory is about to run out.
TagsNo tags attached.
mwticket

Relationships

related to 0010200 new Monitoring and preventing Memory Exceeds and so on 

Activities

weberho

weberho

2014-09-02 14:06

developer   ~0014446

There is another HTML cleaner available which could be worth testing:
https://packagist.org/packages/htmlawed/htmlawed
pschuele

pschuele

2014-09-02 14:29

administrator   ~0014448

ah, thanks for the information. we'll have a look.
mspahn

mspahn

2014-09-23 14:08

administrator   ~0014607

http://htmlpurifier.org/docs/dev-optimization.html
mspahn

mspahn

2014-09-23 14:30

administrator   ~0014609

Changed for testing purposes the cleaning level to medium.
https://gerrit.tine20.org/tine20/#/c/2892/

This should be discussed.
fabiodepin

fabiodepin

2014-10-15 12:56

reporter   ~0014723

see 0010200.

Issue History

Date Modified Username Field Change
2014-09-02 10:45 pschuele New Issue
2014-09-02 10:45 pschuele Issue generated from: 0010200
2014-09-02 10:45 pschuele Relationship added related to 0010200
2014-09-02 13:54 pschuele Assigned To => mspahn
2014-09-02 13:54 pschuele Status new => assigned
2014-09-02 14:06 weberho Note Added: 0014446
2014-09-02 14:29 pschuele Note Added: 0014448
2014-09-23 14:08 mspahn Note Added: 0014607
2014-09-23 14:30 mspahn Note Added: 0014609
2014-09-23 14:30 mspahn Status assigned => gerrit
2014-10-15 12:56 fabiodepin Note Added: 0014723
2018-02-09 16:44 mspahn Status gerrit => closed
2018-02-09 16:44 mspahn Resolution open => fixed